﻿<?xml version="1.0" encoding="UTF-8" ?>
<!--  
 | Composite DITA topics to HTML
 |
 | (C) Copyright IBM Corporation 2001, 2002, 2003. All Rights Reserved.
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 +
 | updates:
 *-->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<!-- stylesheet imports -->

<xsl:import href="topic2htmlImpl.xsl"/>
<xsl:import href="task2htmlImpl.xsl"/>
<xsl:import href="ref2htmlImpl.xsl"/>
<xsl:import href="domains2html.xsl"/>

<xsl:template match="/" priority="3">
  <xsl:apply-templates mode="toplevel"/>
</xsl:template>

<xsl:template match="dita">
  <xsl:call-template name="dita-setup"/>
</xsl:template>

<xsl:template match="*[contains(@class,' map/map ')]">
  <xsl:call-template name="dita-setup"/>
</xsl:template>


<!-- this template just consumes the dita or map-based wrapper for now. -->
<xsl:template name="dita-setup" >
  <xsl:apply-templates/>
</xsl:template>


<!-- set overrides here -->
<!--xsl:param name="OUTEXT" select="'html'"/-->

</xsl:stylesheet>
